public class Spielzug {
  // Zug (Setzen der Dame)

  int           zeile;
  Spielposition pos;

  public Spielzug (int z, Spielposition p)
    {zeile = z; pos = p;}

  public boolean zulssig() {
    // prft, ob Spielzug zulssig ist
    int spalte = pos.Damenzahl() + 1;
    int n = Spielposition.reihenzahl;
    boolean drin = (1 <= zeile && zeile <= n);
    boolean bedroht = false;
    for (int k = 1; k < spalte; k++)
      if (pos.DZeile()[spalte - k] == zeile ||
          pos.DZeile()[spalte - k] == zeile - k ||
          pos.DZeile()[spalte - k] == zeile + k)
        {bedroht = true; break;}
    return drin && ! bedroht;
    } // Ende zulssig

  public Spielposition ausgefhrt() {
    Spielposition neu = pos.Kopie();
    neu.setzDame(zeile, neu.Damenzahl() + 1);
    return neu;
    } // Ende ausgefhrt

  public void Beschreibung() {
    int spalte = pos.Damenzahl() + 1;
    System.out.print(" " + spalte + "," + zeile);
    } // Ende Beschreibung
  
  } // Ende Spielzug